QGIS Application - Bug report #19172
QGIS 3.0.3 main window does not remember chosen size (Win 10 with scaling...)
2018-06-12 04:14 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.3 Regression?: No
Operating System: Windows 10 Creators, Surface Book with 1546y d¢iE2n scaling No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27001
Description

I'm brand new to QGIS, so sorry if I'm missing something obvious. But it looks like this was all handled many years ago, that QGIS should
save the GUI dimensions on exit and restore them next time. Mine opens in the same tiny rectangle in the same position every time. And |
suspect that rectangle is in unscaled pixels while all the contents are getting scaled almost double-size. | have to drag every window and
pane about twice as big, every time | start it. And every time it crashes...

| did try choosing odd height/width combinations, and it is not storing scaled pixel counts and restoring them unscaled. It is just choosing
the same tiny default size every time.

Looks like in the screenshot the Browser - Layers column has remained wider, but the whole window has not. Note Meazure is showing
real 3000x2000 hardware pixels, not the scaled logical pixels.

Is there some way for me to hack this for now?

History

#1 - 2018-06-22 09:46 PM - Loren Amelang

Today QGIS began remembering its window size and position! | have no idea what changed... | don't believe | did anything in QGIS that | hadn't tried

several times before.

Well, | did finally get my

PS C:\Program Files\QGIS 3.0\apps\saga-ltr> .\saga_cmd ta_profiles "Cross Profiles" ...

command to work. And the RiverGIS plugin finally was able to export my HEC-RAS file. Can't imagine that matters.

I know Windows 10 was acting very strangely yesterday... | had LibreOffice Writer open, and tried to print to PDF with PrimoPDF, and it locked up, and the
Windows Snipping tool also locked up, and my EverDesk eMail client locked up. Seemed it couldn't run them simultaneously, but any two would work.

Windows had to be manually restarted, and the restart installed a bunch of updates. | can't imagine how that would affect QGIS...

If | notice any more clues I'll definitely post them here!

#2 - 2018-06-29 02:54 AM - Loren Amelang

Since the last report I've seen 3.0.3 open centered on screen in its tiny default size one time. Mostly it was remembering my choices.

So far 3.2 has always remembered my choices!

#3 - 2018-07-11 12:10 AM - Loren Amelang
- Status changed from Open to Closed

Today something broke the size memory for for my QGIS 3.2: #19386

Since | can't edit the Subject here, | made the new issue and closed this one.
